/* ---------- Accommodation Tile Styling ---------- */
.element-17.version-1 {
  z-index: 0;
}

.element-17.version-1 .wpt-row {
  display: grid !important;
  grid-gap: 30px !important;
}

.element-17.version-1 .wpt-row.per-row-4 {
  grid-template-columns: 1fr 1fr 1fr 1fr;
}

.element-17.version-1 .wpt-row.per-row-3 {
  grid-template-columns: 1fr 1fr 1fr;
}

.element-17.version-1 .wpt-row.per-row-2 {
  grid-template-columns: 1fr 1fr;
}

.element-17.version-1 .wpt-row.per-row-1 {
  grid-template-columns: 1fr;
}

@media (max-width: 900px) {
  .element-17.version-1 .wpt-row.per-row-4 {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .element-17.version-1 .wpt-row.per-row-3 {
    grid-template-columns: 1fr 1fr;
  }

  .element-17.version-1 .wpt-row.per-row-2 {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 500px) {
  .element-17.version-1 .wpt-row.per-row-4 {
    grid-template-columns: 1fr 1fr;
  }

  .element-17.version-1 .wpt-row.per-row-3 {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 567px) {
  #newbook_accommodation_categories .row {
    margin-left: 0px;
    margin-right: 0px;
  }
}

.element-17.version-1 .tile {
  background-size: cover;
  background-position: center center;
  position: relative;
  overflow: hidden;
  z-index: 0;
}

.element-17.version-1 .tile::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: inherit;
  transition: inherit;
  transition: 0.5s ease;
}

.element-17.version-1 .tile:hover::before {
  transform: scale(1.2);
}

.element-17.version-1 .tile a.overlay {
  position: relative;
  min-height: 340px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  z-index: 2;
}

.element-17.version-1 .tile a.overlay::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: #123;
  z-index: -1;
  opacity: 0.3;
  transition-duration: 400ms;
}

.element-17.version-1 .tile a.overlay:hover::before,
.element-17.version-1 .tile a.overlay:focus::before {
  opacity: 0.75;
}

.element-17.version-1 .tile a.overlay .tile-bg {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: -2;
  transition-duration: 400ms;
  background-position: center center;
  background-size: cover;
}

.element-17.version-1 .tile a.overlay:hover .tile-bg {
  transform: scale(1.1);
}

.element-17.version-1 .tile a.overlay .text-holder {
  color: #fff;
  text-align: center;
  transform: translateY(50px);
  transition-duration: 400ms;
}

.element-17.version-1
  .tile
  a.overlay
  .text-holder
  .views-field-title
  .field-content {
  color: #fff;
  font-family: var(--wpt-headings-secondary-font);
  margin: 0;
  font-size: 28px !important;
  font-weight: var(--wpt-secondary-font-weight);
}

.element-17.version-1 .tile a.overlay:hover .text-holder,
.element-17.version-1 .tile a.overlay:focus .text-holder {
  opacity: 1;
  transform: translateY(0);
}

.element-17.version-1 .tile a.overlay .text-holder .accommodation-details {
  justify-content: center;
  opacity: 0;
  transition-duration: 300ms;
  display: flex;
}

.element-17.version-1 .tile a.overlay .text-holder .accommodation-details > * {
  margin-right: 10px;
}

.element-17.version-1 .tile a.overlay .text-holder .wpt-button {
  opacity: 0;
  transition-duration: 500ms;
}

.element-17.version-1 .tile a.overlay:hover .text-holder .accommodation-details,
.element-17.version-1 .tile a.overlay:hover .text-holder .wpt-button {
  opacity: 1;
}

.element-17.version-1 .tile a.overlay .text-holder > div {
  margin-bottom: 10px;
}

@media (min-width: 576px) and (max-width: 767px) {
  .element-17.version-1 .tile a.overlay {
    min-height: 250px;
  }
}

@media (max-width: 767px) {
  .element-17.version-1 .tile a.overlay::before,
  .tile a.overlay::before {
    opacity: 0.45;
  }
}

.element-17.version-2 .tile .field-content {
  color: white;
  margin: 0;
}

.element-17.version-2.layout-style-stacked .wpt-row .wpt-tiles {
  display: grid;
  gap: 13px;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  width: 100%;
}

.element-17.version-2.layout-style-stacked.items-3 .wpt-row .wpt-tiles {
  grid-template-columns: 1fr 1fr 1fr;
}

.element-17.version-2.layout-style-stacked .wpt-row .wpt-tiles .tile {
  min-height: 22vw !important;
  height: unset;
  overflow: hidden;
  position: relative;
}

.element-17.version-2.rounded-corners-true .wpt-row .wpt-tiles .tile {
  border-radius: 20px;
}

.element-17.version-2.rounded-corners-standard .wpt-row .wpt-tiles .tile {
  border-radius: 6px;
}

.element-17.version-2 .wpt-row .wpt-tiles .tile {
  height: 262px;
  display: flex;
  align-items: flex-end;
  transition: ease 0.5s;
}

.element-17.version-2.layout-style-slider .wpt-row .wpt-tiles .tile {
  height: 0;
  padding-bottom: 100%;
  position: relative;
}

.element-17.version-2.layout-style-slider .wpt-row .wpt-tiles .slick-slide {
  padding: 7px;
}

.element-17.version-2.layout-style-stacked.items-1 .wpt-tiles .tile {
  grid-column: span 4;
}

.element-17.version-2.layout-style-stacked.items-6
  .wpt-tiles
  .tile:is(:nth-child(1), :nth-child(6)) {
  grid-column: span 2;
}

.element-17.version-2.layout-style-stacked.items-5
  .wpt-tiles
  .tile:is(:nth-child(1), :nth-child(4), :nth-child(5)) {
  grid-column: span 2;
}

.element-17.version-2.layout-style-stacked:is(.items-4, .items-2)
  .wpt-tiles
  .tile {
  grid-column: span 2;
}

.element-17.version-2.layout-style-stacked:is(.items-7)
  .wpt-tiles
  .tile:nth-child(1) {
  grid-column: span 2;
}

.element-17.version-2 .wpt-row .wpt-tiles .tile .overlay {
  position: absolute;
  display: flex;
  align-self: flex-start;
  width: 100%;
  height: 100%;
  align-items: flex-end;
  padding: 20px;
  transition: ease 0.5s;
}

.element-17.version-2 .wpt-row .wpt-tiles .tile .overlay:after {
  display: block;
  position: absolute;
  width: 100%;
  top: 0;
  height: 100%;
  box-shadow: inset 0 -80px 40px -40px rgba(0, 0, 0, 0.5);
  left: 0;
  content: "";
}

.element-17.version-2 .wpt-row .wpt-tiles .tile .overlay .field-content {
  font-size: 20px !important;
  font-weight: normal;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
  padding: 0 !important;
  line-height: 1 !important;
  position: relative;
  z-index: 1;
}

.element-17.version-2 .wpt-row .wpt-tiles .tile .overlay img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
  transition: 0.5s ease;
}

.element-17.version-2 .wpt-row .wpt-tiles .tile:hover img {
  transform: scale(1.1);
}

@media (min-width: 1260px) {
  .element-17.version-2.layout-style-stacked .wpt-row .wpt-tiles .tile {
    min-height: 297px !important;
  }
}

@media (max-width: 800px) {
  .element-17.version-2.layout-style-stacked .wpt-row .wpt-tiles {
    grid-template-columns: 1fr 1fr;
  }
}

@media (max-width: 500px) {
  .element-17.version-2.layout-style-stacked .wpt-row .wpt-tiles {
    grid-template-columns: 1fr !important;
  }

  .element-17.version-2.layout-style-stacked .wpt-tiles .tile {
    grid-column: span 1 !important;
    height: 50vw !important;
  }
}

.element-17.version-2.layout-style-slider .wpt-tiles {
  width: 100%;
  max-width: calc(100% - 50px);
  margin: auto;
}

.element-17.version-2.layout-style-slider .tile {
  overflow: hidden;
}

.element-17.version-2.layout-style-slider {
  overflow-x: hidden;
}

.element-17.version-2.layout-style-slider .slick-arrow {
  position: absolute;
  top: 50%;
  right: -40px;
  font-size: 34px;
  font-weight: 500;
  opacity: 0.3;
  transform: translateY(-50%);
  cursor: pointer;
}

.element-17.version-2.layout-style-slider .slick-arrow.fa-chevron-left {
  right: unset;
  left: -40px;
}

.element-17.version-2 [id*="slider-"]:not(.slick-initialized) {
  display: none;
}

.element-17.version-2 .categories-container {
  margin: 2em 0 0;
}

/* Columns */
.element-17.version-2.layout-style-columns .wpt-tiles {
  --cat-gap: 13px;
  display: flex;
  flex-wrap: wrap;
  gap: var(--cat-gap);
  justify-content: center;
  width: 100%;
}

.element-17.version-2.layout-style-columns .tile {
  overflow: hidden;
  position: relative;
  width: 100%;
}

@media (min-width: 600px) {
  .element-17.version-2.layout-style-columns:not(.columns-1) .tile {
    width: calc(calc(100% - var(--cat-gap)) / 2);
  }
}

@media (min-width: 992px) {
  .element-17.version-2.layout-style-columns:not(.columns-1) .tile {
    width: calc(
      calc(100% - calc(calc(var(--cat-columns) - 1) * var(--cat-gap))) /
        var(--cat-columns)
    );
  }
}
